> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/playbooks/playbook-source-documents.md).

# Playbook Source Documents

## GET /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents

> List documents under a reference material.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Constants.DocumentIndexingStatus":{"enum":["completed","failed","inProgress"],"type":"string"},"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"extension":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"isDirectory":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"pageCount":{"type":"integer","format":"int32","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"isPackagedFile":{"type":"boolean","nullable":true},"unpackedFileCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint","netDocuments"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents":{"get":{"tags":["Playbook Source Documents"],"summary":"List documents under a reference material.","parameters":[{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"flatten","in":"query","schema":{"type":"boolean","default":false}},{"name":"hidePackagedFiles","in":"query","schema":{"type":"boolean","default":true}},{"name":"indexingStatus","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentIndexingStatus"}},{"name":"documentUploadObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents

> Upload a document to a reference material.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"extension":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"isDirectory":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"pageCount":{"type":"integer","format":"int32","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"isPackagedFile":{"type":"boolean","nullable":true},"unpackedFileCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint","netDocuments"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents":{"post":{"tags":["Playbook Source Documents"],"summary":"Upload a document to a reference material.","parameters":[{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"documentUploadObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"},"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"}}},"encoding":{"file":{"style":"form"},"ocrEngine":{"style":"form"},"ocrStrategy":{"style":"form"},"coordinateExtractionStrategy":{"style":"form"}}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/initialise

> Initialise a document record before uploading content.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.InitialiseDocumentRequest":{"required":["contentType","documentUploadObjectIdentifier","fileName"],"type":"object","properties":{"fileName":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"uploadSettings":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.UploadSettingsModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Documents.UploadSettingsModel":{"type":"object","properties":{"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"}},"additionalProperties":false},"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"extension":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"isDirectory":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"pageCount":{"type":"integer","format":"int32","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"isPackagedFile":{"type":"boolean","nullable":true},"unpackedFileCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint","netDocuments"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/initialise":{"post":{"tags":["Playbook Source Documents"],"summary":"Initialise a document record before uploading content.","parameters":[{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.InitialiseDocumentRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.InitialiseDocumentRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.InitialiseDocumentRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/partial/{documentObjectIdentifier}

> Upload a chunk of a document.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/partial/{documentObjectIdentifier}":{"post":{"tags":["Playbook Source Documents"],"summary":"Upload a chunk of a document.","parameters":[{"name":"documentObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"chunkIndex","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"isLastChunk","in":"query","schema":{"type":"boolean"}},{"name":"uploadFileCount","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"ocrEngine","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"}},{"name":"ocrStrategy","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"}},{"name":"coordinateExtractionStrategy","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}},"encoding":{"file":{"style":"form"}}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## GET /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/folders

> List folders under a reference material.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"extension":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"isDirectory":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"pageCount":{"type":"integer","format":"int32","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"isPackagedFile":{"type":"boolean","nullable":true},"unpackedFileCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint","netDocuments"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/folders":{"get":{"tags":["Playbook Source Documents"],"summary":"List folders under a reference material.","parameters":[{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/folders

> Create a folder under a reference material.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.CreateFolderRequest":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"extension":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"isDirectory":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"pageCount":{"type":"integer","format":"int32","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"isPackagedFile":{"type":"boolean","nullable":true},"unpackedFileCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint","netDocuments"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/folders":{"post":{"tags":["Playbook Source Documents"],"summary":"Create a folder under a reference material.","parameters":[{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.CreateFolderRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.CreateFolderRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.CreateFolderRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/failed

> Record a failed document upload.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.CreateFailedDocumentRequest":{"required":["documentUploadObjectIdentifier","fileName","uploadFailedReason"],"type":"object","properties":{"fileName":{"type":"string","nullable":true},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"extension":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"isDirectory":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"pageCount":{"type":"integer","format":"int32","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"isPackagedFile":{"type":"boolean","nullable":true},"unpackedFileCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint","netDocuments"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/failed":{"post":{"tags":["Playbook Source Documents"],"summary":"Record a failed document upload.","parameters":[{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.CreateFailedDocumentRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.CreateFailedDocumentRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.CreateFailedDocumentRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}

> Get a specific document by object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"extension":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"isDirectory":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"pageCount":{"type":"integer","format":"int32","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"isPackagedFile":{"type":"boolean","nullable":true},"unpackedFileCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint","netDocuments"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}":{"get":{"tags":["Playbook Source Documents"],"summary":"Get a specific document by object identifier.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentResponse"}}}}}}}}}
```

## DELETE /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}

> Delete a document.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}":{"delete":{"tags":["Playbook Source Documents"],"summary":"Delete a document.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}}}}
```

## GET /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}/download

> Download a document. Set usePdf=true to download the PDF version instead of the original file.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}/download":{"get":{"tags":["Playbook Source Documents"],"summary":"Download a document. Set usePdf=true to download the PDF version instead of the original file.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"usePdf","in":"query","schema":{"type":"boolean","default":false}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}/breadcrumbs

> Get the breadcrumb trail for a document.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.BreadcrumbResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"isDirectory":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}/breadcrumbs":{"get":{"tags":["Playbook Source Documents"],"summary":"Get the breadcrumb trail for a document.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.BreadcrumbResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.BreadcrumbResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.BreadcrumbResponse"}}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/uploads/{uploadObjectIdentifier}

> Get upload batch details.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentUploadDetailsResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"dateCompleted":{"type":"string","format":"date-time","nullable":true},"totalDocumentCount":{"type":"integer","format":"int32"},"failedDocumentCount":{"type":"integer","format":"int32"},"processingDocumentCount":{"type":"integer","format":"int32"},"completedDocumentCount":{"type":"integer","format":"int32"},"totalSizeBytes":{"type":"integer","format":"int64"},"fileCount":{"type":"integer","format":"int32","nullable":true},"failedReasonSummary":{"type":"object","properties":{"outOfMemory":{"type":"integer","format":"int32"},"unsupportedFileType":{"type":"integer","format":"int32"},"badFile":{"type":"integer","format":"int32"},"uploadFailure":{"type":"integer","format":"int32"},"ocrPageLimitExceeded":{"type":"integer","format":"int32"},"unknownException":{"type":"integer","format":"int32"},"insufficientCredits":{"type":"integer","format":"int32"},"maliciousFile":{"type":"integer","format":"int32"},"fileScanTimedOut":{"type":"integer","format":"int32"}},"additionalProperties":false,"nullable":true},"fileTypeSummary":{"type":"object","additionalProperties":{"type":"integer","format":"int32"},"nullable":true}},"additionalProperties":false}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/uploads/{uploadObjectIdentifier}":{"get":{"tags":["Playbook Source Documents"],"summary":"Get upload batch details.","parameters":[{"name":"uploadObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentUploadDetailsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentUploadDetailsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Responses.SourceDocumentUploadDetailsResponse"}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}/reindex

> Reindex a document.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.ReindexDocumentRequest":{"type":"object","properties":{"uploadSettings":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.UploadSettingsModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Documents.UploadSettingsModel":{"type":"object","properties":{"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"}},"additionalProperties":false},"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/{objectIdentifier}/reindex":{"post":{"tags":["Playbook Source Documents"],"summary":"Reindex a document.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.ReindexDocumentRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.ReindexDocumentRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.ReindexDocumentRequest"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/uploads/{uploadObjectIdentifier}/retry

> Retry failed documents in an upload batch.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.RetryFailedUploadRequest":{"type":"object","properties":{"uploadSettings":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.UploadSettingsModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Documents.UploadSettingsModel":{"type":"object","properties":{"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"}},"additionalProperties":false},"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/uploads/{uploadObjectIdentifier}/retry":{"post":{"tags":["Playbook Source Documents"],"summary":"Retry failed documents in an upload batch.","parameters":[{"name":"uploadObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.RetryFailedUploadRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.RetryFailedUploadRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.RetryFailedUploadRequest"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/move

> Move documents to a new parent folder.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.MoveDocumentsRequest":{"required":["documentObjectIdentifiers","newParentObjectIdentifier"],"type":"object","properties":{"newParentObjectIdentifier":{"type":"string","format":"uuid"},"documentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{referenceMaterialObjectIdentifier}/documents/move":{"put":{"tags":["Playbook Source Documents"],"summary":"Move documents to a new parent folder.","parameters":[{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceMaterialObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.MoveDocumentsRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.MoveDocumentsRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.SourceDocuments.Contracts.Requests.MoveDocumentsRequest"}}}},"responses":{"200":{"description":"OK"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/playbooks/playbook-source-documents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
